<ng-container *ngIf="filters">
  <div class="active-filters-header columns is-mobile is-vcentered is-marginless">
    <div class="filter-title is-size-7 column is-narrow is-pulled-left">
      <span class="filter-img">
        <svg xmlns="http://www.w3.org/2000/svg" width="22" height="14" fill="none" viewBox="0 0 22 14">
          <path stroke="#242b3f" d="M22 10.293h-4.889M11 10.293H0"/>
          <rect id="colored" width="5.111" height="5.111" x="11.5" y="7.833" stroke="#F93D51"/>
          <path stroke="#242b3f" d="M0 3.152h3.667M9.778 3.152H22"/>
          <rect width="5.111" height="5.111" x="9.278" y="5.611" stroke="#242b3f" transform="rotate(180 9.278 5.611)"/>
        </svg>
      </span>
      <span class="is-uppercase has-text-weight-bold" i18n="@@global.filters">Filters</span>
    </div>
    <div class="column is-narrow is-paddingless" *ngIf="activeAggregations && activeAggregations.length > 0">
      <a href preventDefault class="button reset-button link-without-decoration" (click)="resetActiveAggregations()"
        i18n="@@filters.reset">
        Reset
      </a>
    </div>
  </div>
  <div *ngIf="activeAggregations && activeAggregations.length > 0" class="active-filters-content columns is-multiline is-variable is-1 is-mobile is-marginless">
    <div class="is-size-7 column is-12 is-pulled-left">
      <span class="active-filters-title" i18n="@@filters.activeFilters">Active filters</span>
    </div>
    <div class="column is-narrow active-filter-container" *ngFor="let activeAgg of activeAggregations">
      <div class="active-filter columns is-mobile is-marginless">
        <div class="column">
          <span class="active-filter-label" [title]="activeAgg.filter.label +': '+activeAgg.aggregation.label">
            {{ (activeAgg.filter.type === 'date') ? (activeAgg.aggregation.label | date: 'yyyy') :
            activeAgg.aggregation.label }}
          </span>
          <span class="active-filter-type-label" >
            {{ activeAgg.filter.label }}
          </span>
        </div>
        <div class="column is-narrow" *ngIf="activeAgg.filter.widget!='hidden'">
          <button class="remove-filter-btn" (click)="removeFilter(activeAgg)">
            <svg xmlns="http://www.w3.org/2000/svg" id="filtre-close" viewBox="0 0 15 15">
              <path stroke="#4668AB" fill="#4668AB" d="M13.6 12.8L8.2 7.4l5.1-5.1c.2-.2.2-.5 0-.7s-.5-.2-.7 0l-5.1 5-5.1-5.1c-.2-.2-.5-.2-.7 0s-.2.5-.1.7l5.1 5.1-5.4 5.4c-.2.2-.2.5 0 .7.1.1.2.1.4.1s.3 0 .4-.1L7.5 8l5.4 5.4c.1.1.2.1.4.1s.3 0 .4-.1c.1-.1.1-.4-.1-.6z" class="white"/>
            </svg>
          </button>
        </div>
      </div>
    </div>
  </div>
  <ng-container *ngIf="filters.length > 0">
    <ng-container *ngFor="let filter of filters; let i=index">
      <div class="filter-detail" *ngIf="filter && filter.aggregations.length > 0">
        <app-filter-detail [filter]="filter">
        </app-filter-detail>
      </div>
    </ng-container>

  </ng-container>

</ng-container>
